Go to the first, previous, next, last section, table of contents.

### update options

These standard options are available with `update` (see section Common command options, for a complete description of them):

`-D date`
  Use the most recent revision no later than date. This option is sticky, and implies ``-P'`. See section Sticky tags, for more information on sticky tags/dates.
`-f`
  Only useful with the ``-D date'` or ``-r tag'` flags. If no matching revision is found, retrieve the most recent revision (instead of ignoring the file).
`-k kflag`
  Process RCS keywords according to kflag. See co(1). This option is sticky; future updates of this file in this working directory will use the same kflag. The `status` command can be viewed to see the sticky options. See section status--Display status information on checked out files.
`-l`
  Local; run only in current working directory. See section Recursive behavior.
`-P`
  Prune empty directories.
`-p`
  Pipe files to the standard output.
`-R`
  Operate recursively. This is on by default. See section Recursive behavior.
`-r tag`
  Retrieve revision tag. This option is sticky, and implies ``-P'`. See section Sticky tags, for more information on sticky tags/dates.

These special options are also available with `update`.

`-A`
  Reset any sticky tags, dates, or ``-k'` options. See section Sticky tags, for more information on sticky tags/dates.
`-d`
  Create any directories that exist in the repository if they're missing from the working directory. Normally, `update` acts only on directories and files that were already enrolled in your working directory. This is useful for updating directories that were created in the repository since the initial checkout; but it has an unfortunate side effect. If you deliberately avoided certain directories in the repository when you created your working directory (either through use of a module name or by listing explicitly the files and directories you wanted on the command line), then updating with ``-d'` will create those directories, which may not be what you want.
`-I name`
  Ignore files whose names match name (in your working directory) during the update. You can specify ``-I'` more than once on the command line to specify several files to ignore. Use ``-I !'` to avoid ignoring any files at all. See section Ignoring files via cvsignore, for other ways to make CVS ignore some files.
`-Wspec`
  Specify file names that should be filtered during update. You can use this option repeatedly. spec can be a file name pattern of the same type that you can specify in the ``.cvswrappers'` file. See section The cvswrappers file.
`-jrevision`
  With two ``-j'` options, merge changes from the revision specified with the first ``-j'` option to the revision specified with the second ``j'` option, into the working directory. With one ``-j'` option, merge changes from the ancestor revision to the revision specified with the ``-j'` option, into the working directory. The ancestor revision is the common ancestor of the revision which the working directory is based on, and the revision specified in the ``-j'` option. In addition, each -j option can contain an optional date specification which, when used with branches, can limit the chosen revision to one within a specific date. An optional date is specified by adding a colon (:) to the tag: ``-jSymbolic_Tag:Date_Specifier'`. See section Merging.

Go to the first, previous, next, last section, table of contents.